Bug 147338 - initscripts-7.93.5-1.i386.rpm overwrites rc.local
initscripts-7.93.5-1.i386.rpm overwrites rc.local
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 09:43 EST by Jeroen Roodhart
Modified: 2014-03-16 22:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 16:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen Roodhart 2005-02-07 09:43:45 EST
From Bugzilla Helper:
User-Agent: MSIE 6.0; Windows XP <edit><-- That's a lie ;)</edit>

Description of problem:
Hi,

During our kickstart install post-script we append some lines
to the rc.local script. These are replaced by an update of 
initscripts by the default initscripts version.

Is it not the very nature of rc.local that the are _local_. I.e. that
any rpm should not touch this script (if it is not present a -f
test will fail anyway...)

In short: why does the initscripts rpm install a non-empty rc.local
file (it's contents could be appended to, say, rc.sysinit.)


Version-Release number of selected component (if applicable):
initscripts-7.93.5-1

How reproducible:
Always

Steps to Reproduce:
1.install original initscripts
2.append to rc.local
3.update to the 7.93.5-1 version
    

Actual Results:  Got the rc.local provided by initscripts 7.93.5-1

Expected Results:  Should have kept my rc.local

Additional info:
Comment 1 Bill Nottingham 2005-02-07 14:54:15 EST
Was the previous one backed up as rpmsave/rpmnew?
Comment 2 Jeroen Roodhart 2005-02-07 15:29:33 EST
>Was the previous one backed up as rpmsave/rpmnew?

No it was not, that is what cost us a bit of time in the first place.
It took 
a while to figure out that we got the default file from the RPM and
that it 
wasn't our postinstall procedure that did this. I didn't have a look
at the
source rpm, but my guess is that something is amiss there.

If I can, I will do some more testing tommorow (I'm in the
Netherlands), but
it should be fairly simple to reproduce this.

Anyway, thanks for you interest.

~Jeroen
Comment 3 Bill Nottingham 2005-02-07 16:02:29 EST
Are you *replacing* or adding, and are you doing this to /etc/rc.local
or /etc/rc.d/rc.local?
Comment 4 Jeroen Roodhart 2005-02-07 16:22:54 EST
>Are you *replacing* or adding

We're appending entries (thus "adding") to the original (first)
file. Do you have any replacement logic scripted? (didn't see
it with rpm -q --scripts --triggers...) 

Anyway, it remains why you would want to fuzz around with 
rc.local at all.

>and are you doing this to /etc/rc.local or /etc/rc.d/rc.local

/etc/rc.d/rc.local (ofcourse ;) )

As I said, I'll see if we can get some more debug information 
tommorow, but I really don't think it is the post-install code.
(The entire install/install-check procedure takes about one 
and a half hour [we're using nfs over 100Mbit ethernet]), so 
naive debugging is a bit slow ;) )

Thanks,

Jeroen
Comment 5 Bill Nottingham 2005-02-07 16:25:22 EST
rc.local is marked:

%config(noreplace) /etc/rc.d/rc.local

So, it *shouldn't* be getting replaced, and I'm somewhat confused as
to how/why it would be.
Comment 6 Jeroen Roodhart 2005-02-07 16:35:00 EST
>So, it *shouldn't* be getting replaced, and I'm somewhat confused as
to how/why it would be.

Hmm, I was kind of hoping for a "silly me" reaction here ;)

OK, being as it is, I'll try to isolate this further (quadruple check our
scripting logic, and dump the files at certain points and then see 
what is doing this.). I'll take a look at the source RPM as well (should 
have done that in the first place)

I'll get back to you if I find the answer (or have an "easy"" and 
deterministic test case)

Thanks again,

Jeroen
Comment 7 Bill Nottingham 2005-02-07 16:47:17 EST
I just did a test FC3 install here, booted, and then did:

1) 'echo #blah blah blah' >> /etc/rc.d/rc.local
2) rpm -Fvh initscripts-7.93.5-1.i386.rpm

It worked fine, and preserved my changes to rc.local.
Comment 8 Bill Nottingham 2005-10-03 16:50:39 EDT
Closing this issue, as I was never able to reproduce this. If you can get a
reliable reproduce, please reopen.

Note You need to log in before you can comment on or make changes to this bug.